Subject: bug#7250: closed (Re: bug#7250: cat manpage should refer to tac)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 20 Oct 2010 06:35:03 +0000

Your bug report

#7250: cat manpage should refer to tac

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7250: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7250
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7250: cat manpage should refer to tac
From: Jim Meyering <[email-masked]>
To: Rodrigo Campos <[email-masked]>
Cc: [email-masked]
Date: Wed, 20 Oct 2010 08:38:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Rodrigo Campos wrote:
> 'tac' by default does the same as cat, but in reverse order. I didn't know about
> 'tac' and it took me a while (about 5 minutes, but anyways :-P) to find it. I
> think having a "see also tac" on cat's manpage could be useful and save people
> some time :)
>
> The attached patch does this. I almost copy from 543696a (doc: add a cross
> reference from tac's man page to "rev") so I think it should be ok. But please
> let me know.
>
> Subject: [PATCH] doc: add a cross reference from cat's man page to "tac"
>
> man/cat.x: See also "tac"

Thank you.  Pushed.
I prepended the usual "* " ChangeLog file name marker in the log message:

* man/cat.x: See also "tac"

Subject: cat manpage should refer to tac
From: Rodrigo Campos <[email-masked]>
To: [email-masked]
Date: Wed, 20 Oct 2010 00:00:40 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Please keep me in Cc: since I'm not subscribed.

'tac' by default does the same as cat, but in reverse order. I didn't know about
'tac' and it took me a while (about 5 minutes, but anyways :-P) to find it. I
think having a "see also tac" on cat's manpage could be useful and save people
some time :)

The attached patch does this. I almost copy from 543696a (doc: add a cross
reference from tac's man page to "rev") so I think it should be ok. But please
let me know.

Thanks a lot,
Rodrigo
>From 15f32fae82619310affe90f6ac24a37f146a31f9 Mon Sep 17 00:00:00 2001
From: Rodrigo Campos <[email-masked]>
Date: Tue, 19 Oct 2010 19:48:46 -0300
Subject: [PATCH] doc: add a cross reference from cat's man page to "tac"

man/cat.x: See also "tac"
---
 man/cat.x |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/man/cat.x b/man/cat.x
index c219678..0890200 100644
--- a/man/cat.x
+++ b/man/cat.x
@@ -2,3 +2,5 @@
 cat \- concatenate files and print on the standard output
 [DESCRIPTION]
 .\" Add any additional description here
+[SEE ALSO]
+\fBtac\fP(1).
-- 
1.7.1